Bug 829268 - Yum update failed to update after FC17 was installed
Yum update failed to update after FC17 was installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 06:59 EDT by Jeff lats
Modified: 2012-06-26 17:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 829359 (view as bug list)
Environment:
Last Closed: 2012-06-26 17:41:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff lats 2012-06-06 06:59:06 EDT
Description of problem:

yum update failed after FC17 install
Version-Release number of selected component (if applicable):


How reproducible:
very after the install.  I erased sane-backends-drivers-cameras-1.0.22-10.fc16.i686 and sane-backends-drivers-cameras-1.0.22-10.fc16.i686 and manually updated sane-backends-1.0.22-10.fc16.x86_64 to get around the problem

Steps to Reproduce:
1. yum update

  
Actual results:
Error: Package: sane-backends-drivers-cameras-1.0.22-10.fc16.i686 (@updates/16)
           Requires: sane-backends = 1.0.22-10.fc16
           Removing: sane-backends-1.0.22-10.fc16.x86_64 (@updates/16)
               sane-backends = 1.0.22-10.fc16
           Updated By: sane-backends-1.0.22-10.fc17.x86_64 (updates)
               sane-backends = 1.0.22-10.fc17
           Available: sane-backends-1.0.22-9.fc17.x86_64 (fedora)
               sane-backends = 1.0.22-9.fc17
Error: Package: sane-backends-drivers-scanners-1.0.22-10.fc16.i686 (@updates/16)
           Requires: sane-backends-libs(x86-32) = 1.0.22-10.fc16
           Removing: sane-backends-libs-1.0.22-10.fc16.i686 (@updates/16)
               sane-backends-libs(x86-32) = 1.0.22-10.fc16
           Updated By: sane-backends-libs-1.0.22-10.fc17.i686 (updates)
               sane-backends-libs(x86-32) = 1.0.22-10.fc17
           Available: sane-backends-libs-1.0.22-9.fc17.i686 (fedora)
               sane-backends-libs(x86-32) = 1.0.22-9.fc17
Error: Package: sane-backends-drivers-scanners-1.0.22-10.fc16.i686 (@updates/16)
           Requires: sane-backends = 1.0.22-10.fc16
           Removing: sane-backends-1.0.22-10.fc16.x86_64 (@updates/16)
               sane-backends = 1.0.22-10.fc16
           Updated By: sane-backends-1.0.22-10.fc17.x86_64 (updates)
               sane-backends = 1.0.22-10.fc17
           Available: sane-backends-1.0.22-9.fc17.x86_64 (fedora)
               sane-backends = 1.0.22-9.fc17
Error: Package: sane-backends-drivers-cameras-1.0.22-10.fc16.i686 (@updates/16)
           Requires: sane-backends-libs(x86-32) = 1.0.22-10.fc16
           Removing: sane-backends-libs-1.0.22-10.fc16.i686 (@updates/16)
               sane-backends-libs(x86-32) = 1.0.22-10.fc16
           Updated By: sane-backends-libs-1.0.22-10.fc17.i686 (updates)
               sane-backends-libs(x86-32) = 1.0.22-10.fc17
           Available: sane-backends-libs-1.0.22-9.fc17.i686 (fedora)
               sane-backends-libs(x86-32) = 1.0.22-9.fc17


Expected results:

A clean update
Additional info:
Comment 1 Nils Philippsen 2012-06-06 10:34:54 EDT
As I understood it, this should have been fixed in mash (which composes the trees). I'll re-enable the quirk I had in F-16 and earlier for now, and clone this bug for mash/EPEL6 which is what we use for composing trees for Fedora and it's right now at version 0.5.22 from February 2011. AIUI, the fix is contained in mash-0.5.24.
Comment 2 Fedora Update System 2012-06-06 11:13:37 EDT
sane-backends-1.0.22-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sane-backends-1.0.22-11.fc17
Comment 3 Nils Philippsen 2012-06-06 11:21:14 EDT
Cloned for mash into bug #829359.
Comment 4 Fedora Update System 2012-06-07 18:51:23 EDT
Package sane-backends-1.0.22-11.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sane-backends-1.0.22-11.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8993/sane-backends-1.0.22-11.fc17
then log in and leave karma (feedback).
Comment 5 Nils Philippsen 2012-06-11 08:21:23 EDT
Jeff, it would be good if you could test the changes and add karma to the update here: https://admin.fedoraproject.org/updates/FEDORA-2012-8993

Thanks!
Comment 6 Fedora Update System 2012-06-26 17:41:52 EDT
sane-backends-1.0.22-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.